package com.muchinfo.mtp3century.service;

import com.muchinfo.mtp3century.utils.AjaxResult;
import com.muchinfo.mtp3common.vo.PageResult;
import com.muchinfo.mtp3pojos.entity.Errorcode;
import com.muchinfo.mtp3pojos.entity.Systemparam;
import com.muchinfo.mtp3pojos.vo.systemsetup.*;

import javax.servlet.http.HttpServletRequest;

public interface ISystemSetUpService {
    PageResult<Systemparam> queryByPage(Integer pageNum, Integer pageSize, HttpServletRequest request);

    AjaxResult dealParam(SystemParamUpdate paramUpdate, HttpServletRequest request);

    PageResult<Errorcode> queryErr(SystemErrorCodeParam param, HttpServletRequest request);

    AjaxResult dealErr(SystemErrorCodeParam param, HttpServletRequest request);

    PageResult<SystemMarketSectionResult> queryMarketSet(SystemMarketSectionParam param, Integer pageNum, Integer pageSize, HttpServletRequest request);

    AjaxResult<SystemMarketSetDetail> marketSetDetail(Integer marketsectionid,  HttpServletRequest request);
}
